ExtUtils::ModuleMaker::Interactive(3)

NAME
ExtUtils::ModuleMaker::Interactive - Hold methods used in modulemaker

SYNOPSIS
    use ExtUtils::ModuleMaker::Interactive;

    $mod = ExtUtils::ModuleMaker::Interactive->new(%standard_options);

    $mod->run_interactive() if $mod->{INTERACTIVE};

    ...  # ExtUtils::ModuleMaker::complete_build() called here

    $mod->closing_message();

DESCRIPTION
This package exists solely to hold declarations of variables and methods used in modulemaker, the command-line utility which is the easiest way of accessing the functionality of Perl extension ExtUtils::ModuleMaker.

METHODS

  "run_interactive()"
This method drives the menus which make up modulemaker's interactive mode. Once it has been run, modulemaker calls "ExtUtils::ModuleMaker::complete_build()" to build the directories and files requested.

  "closing_message()"
Prints a closing message after "complete_build()" is run. Can be commented out without problem. Could be subclassed, and -- in a future version -- probably will be with an optional printout of files created.

AUTHOR
James E Keenan. CPANID: JKEENAN.

COPYRIGHT
Copyright (c) 2005, 2018 James E. Keenan. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
modulemaker, ExtUtils::ModuleMaker.